here-1.2.13: Here docs & interpolated strings via quasiquotation

Safe Haskell | None
Language | Haskell98

Data.String.Here.Interpolated

Description

Interpolated here docs

Synopsis

- i :: QuasiQuoter
- iTrim :: QuasiQuoter
- template :: QuasiQuoter

# Documentation

i :: QuasiQuoter Source #

Quote a here doc with embedded antiquoted expressions

Any expression occurring between `${` and `}` (for which the type must have `Show` and `Typeable` instances) will be interpolated into the quoted string.

Characters preceded by a backslash are treated literally. This enables the inclusion of the literal substring `${` within your quoted text by writing it as `\${`. The literal sequence `\${` may be written as `\\${`.

iTrim :: QuasiQuoter Source #

Like `i`, but with leading and trailing whitespace trimmed

template :: QuasiQuoter Source #

Quote the contents of a file as with `i`

This enables usage as a simple template engine